#ifndef GEN_BOT_HEADER
#define GEN_BOT_HEADER

#pragma warning(disable:4786) // Long template name for debugging warning

#include "extdll.h"
#include "util.h"
#include "client.h"
#include "cbase.h"
#include "player.h"
#include "items.h"
#include "effects.h"
#include "weapons.h"
#include "soundent.h"
#include "gamerules.h"
#include "animation.h"
#include "bot_db.h"
#include "bot_types.h"
#include "bot_io.h"
#include "bot_util.h"
#include "bot_sense.h"
#include "bot.h"
#include "bot_chat.h"
#include "tasks.h"
#include "teacher_tasks.h"
#include "bot_combo.h"
#include "bot_menu.h"
#include "bot_ent.h"

// Globals
extern int g_teamplay;
extern CBaseOutput cout;
//extern CLog clog;
extern CBotManager BotManager;
extern CChatClass ChatClass;
extern int m_iSpriteTexture; // Sprite index for debug-beams
extern CBotDBManager BotDBManager;
extern CWaypointClass WaypointClass;
extern CWaypointFlooder WaypointFlooder;

#ifdef _DEBUG
extern CLeftOutput lcout;
extern CRightOutput rcout;
extern CMiddleOutput mcout;
#endif

#endif