#ifndef GRAVITYPARTICLE_H
#define GRAVITYPARTICLE_H
#include "particle.h"
#include "velocityparticle.h"

/**
 * GravityParticle
 * Handles the physics and drawing of a single particle
 * @author Herwin van Welbergen
 */
class AcceleratedParticle:public VelocityParticle
{
public:
	/**
	 * constructor
	 */
	AcceleratedParticle(HSPRITE sprite);
	
	/**
	 * Constructor
	 * @param TO LAZY TO WRITE DO THIS LATER
	 */
	AcceleratedParticle(vec3_t position,vec3_t velocity,vec3_t acceleration,HSPRITE sprite);

	/**
	 * Destructor
	 */
	~AcceleratedParticle();
	
	/**
	 * Default think function
	 * @param timeDiff time difference since last draw
	 */
	void accelerationThink(float timeDiff);	
	vec3_t acceleration;
protected:
	
};
#endif