#ifndef COLLISIONPARTICLE_H
#define COLLISIONPARTICLE_H
#include "particle.h"
#include "velocityparticle.h"

/**
 * CollisionParticle
 * Handles the physics and drawing of a single particle
 * @author Herwin van Welbergen
 */
class CollisionParticle:public VelocityParticle
{
public:
	/**
	 * constructor
	 */
	CollisionParticle(HSPRITE sprite);
	
	/**
	 * Constructor
	 * @param TO LAZY TO WRITE DO THIS LATER
	 */
	CollisionParticle(vec3_t position,vec3_t velocity,vec3_t acceleration,HSPRITE sprite);

	/**
	 * Destructor
	 */
	~CollisionParticle();
	
	/**
	 * Default think function
	 * @param timeDiff time difference since last draw
	 */
	void collisionThink(float timeDiff);	
	vec3_t acceleration;
	int m_fCollision;
protected:
	
};
#endif