#ifndef VELOCITYPARTICLE_H
#define VELOCITYPARTICLE_H
#include "particle.h"


/**
 * VelocityParticle
 * Handles the physics and drawing of a single particle
 * @author Herwin van Welbergen
 */
class VelocityParticle:public Particle
{
public:	
	/**
	 * constructor
	 */
	VelocityParticle(HSPRITE sprite);
	/**
	 * Constructor
	 * @param TO LAZY TO WRITE DO THIS LATER
	 */
	VelocityParticle(vec3_t position,vec3_t velocity,HSPRITE sprite);

	/**
	 * Destructor
	 */
	~VelocityParticle();
	
	/**
	 * Default think function
	 * @param timeDiff time difference since last draw
	 */
	void velocityThink(float timeDiff);	
	vec3_t velocity;
	
};
#endif
