#ifndef WISHMENU_H
#define WISHMENU_H

#include<VGUI_Panel.h>
#include<VGUI_TablePanel.h>
#include<VGUI_HeaderPanel.h>
#include<VGUI_TextGrid.h>
#include<VGUI_Label.h>

#define WISHES 3

/**
* Dragonball wish menu
* @version 2-1-2002
* @author Herwin 'harSens' van Welbergen
*/
class CWishMenuPanel : public CMenuPanel
{
public:
	/**
	* Wishmenu
	* @param int iTrans: transparency?
	* @param int iRemoveMe:??
	* @param int x: x pos
	* @param int y: y pos
	* @param int wide: width
	* @param int tall: height
	*/
	CWishMenuPanel(int iTrans, int iRemoveMe, int x,int y,int wide,int tall);	
private:
	CTransparentPanel	*m_pPanel;
	CommandButton		*m_pCancelButton;
	CommandButton		*m_pWishButton[WISHES];
	Label				*m_pTitle;
};
#endif