#ifndef BUDDY_HUD
#define BUDDY_HUD

//int BuddyEntId[32][2];

class CHudBuddy: public CHudBase
{
public:
	/**
	* inits health
	* @return int: always 1
	*/
	virtual int Init( void );

	/**
	* loads the sprites
	* @return int: always 1
	*/
	virtual int VidInit( void );

	/**
	* draws the health bar
	* @return int: always 1
	*/
	virtual int Draw(float fTime);

	/**
	* handles health messages from the server and sets max health
	* @param const char *pszName: name of the message
	* @param int iSize: size of the message
	* @param void *pbuf: message buffer
	* @return int: always 1
	*/	
	int MsgFunc_BuddyUpdate(const char *pszName,  int iSize, void *pbuf);
	
	/**
	* lets us know that a buddy has entered the world
	* @param const char *pszName: name of the message
	* @param int iSize: size of the message
	* @param void *pbuf: message buffer
	* @return int: always 1
	*/	
	int MsgFunc_BuddyStatus(const char *pszName,  int iSize, void *pbuf);

	///health
	int m_iBuddyHealth;	
	int m_iBuddyKi;
private:
	int m_iMaxBuddyHealth;
	int m_iMaxBuddyKi;

	int m_HUD_mainbar;
	int m_HUD_healthline;
	int m_HUD_lffront;
	int m_HUD_kiline;
	int m_HUD_kifront;
};

#endif