#ifndef CANDYMENU_H
#define CANDYMENU_H

#include<VGUI_Panel.h>
#include<VGUI_TablePanel.h>
#include<VGUI_HeaderPanel.h>
#include<VGUI_TextGrid.h>
#include<VGUI_Label.h>

#define CANDY 3

/**
* Buu's cookie attack menu
* @version 31-1-2002
* @author Herwin 'harSens' van Welbergen
*/
class CCandyMenuPanel : public CMenuPanel
{
public:
	/**
	* Candymenu
	* @param int iTrans: transparency?
	* @param int iRemoveMe:??
	* @param int x: x pos
	* @param int y: y pos
	* @param int wide: width
	* @param int tall: height
	*/
	CCandyMenuPanel(int iTrans, int iRemoveMe, int x,int y,int wide,int tall);	
private:
	CTransparentPanel	*m_pPanel;
	//CommandButton		*m_pCancelButton;
	CommandButton		*m_pCandyButton[CANDY];
	Label				*m_pTitle;
};
#endif