#ifndef VGUIMELEETEXT_H
#define VGUIMELEETEXT_H

#include<VGUI_Panel.h>
#include<VGUI_TablePanel.h>
#include<VGUI_HeaderPanel.h>
#include<VGUI_TextGrid.h>
#include<VGUI_Label.h>

/**
 * Melee hits text
 * @version 28-2-2004
 * @author Herwin 'harSens' van Welbergen
 */
class CMeleeTextPanel : public CMenuPanel
{
public:
	/**
	 * Melee text
	 * @param text: text
	 * @param int iTrans: transparency?
	 * @param int iRemoveMe:??
	 * @param int x: x pos
	 * @param int y: y pos
	 * @param int wide: width
	 * @param int tall: height
	 */
	CMeleeTextPanel(std::string text,float flStartTime, float flEndTime, int iTrans, int iRemoveMe, int startx,int starty, int endx, int endy, int wide,int tall,int iStartR, int iStartG, int iStartB,int iEndR,int iEndG,int iEndB);	

	/**
	 * Updates color and position
	 * @param flTime: current time
	 */
	void Update(float flTime);

	float m_flStartTime;
	float m_flEndTime;	
	int m_iStartX,m_iStartY,m_iEndX,m_iEndY;
	int m_iStartR,m_iStartG,m_iStartB,m_iEndR,m_iEndG,m_iEndB;
private:
	Label *m_pMeleeTextLabel;	
};
#endif