#include "extdll.h"
#include "util.h"
#include "cbase.h"
#include "monsters.h"
#include "weapons.h"
#include "nodes.h"
#include "soundent.h"
#include "decals.h"
#include "effects.h"
#include "aura.h"
#include "classes.h"
#include "magicattack.h"
#include "explodingattack.h"
#include "delayeddamage.h"

// Remove Delayed Damage
void RemoveDelayedDamage(DelayedDamage *d)
{
	DelayedDamage *current = d;
	DelayedDamage *temp;
	while(current)
	{
		temp = current;
		current=current->next;
		delete temp;
	}
}